Summary:       A graphical directory tree analyzer
Name:          baobab
Version:       43.0
%global major_ver %(echo %version | cut -d. -f1)
Release:       6%{?dist}
License:       GPLv2+ and GFDL
URL:           https://wiki.gnome.org/Apps/Baobab
Source0:       https://download.gnome.org/sources/baobab/%{major_ver}/%{name}-%{version}.tar.xz

BuildRequires: pkgconfig(gtk4) pkgconfig(libadwaita-1)
BuildRequires: desktop-file-utils gettext itstool meson vala
BuildRequires: /usr/bin/appstream-util

Requires:      gtk4 libadwaita

%description
Baobab is able to scan either specific directories or the whole filesystem, in order to give
the user a graphical tree representation including each directory size or percentage in the
branch.  It also auto-detects in real-time any change made to your home folder as far as any
mounted/unmounted device.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%check
appstream-util validate-relax \
    --nonet %{buildroot}/%{_datadir}/metainfo/org.gnome.baobab.appdata.xml
desktop-file-validate %{buildroot}/%{_datadir}/applications/org.gnome.baobab.desktop


%files -f %{name}.lang
%doc AUTHORS NEWS README.md
%license COPYING COPYING.docs
%{_bindir}/baobab
%{_datadir}/applications/org.gnome.baobab.desktop
%{_datadir}/dbus-1/services/org.gnome.baobab.service
%{_datadir}/icons/hicolor/*/apps/org.gnome.baobab*.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.baobab-symbolic.svg
%{_datadir}/glib-2.0/schemas/org.gnome.baobab.gschema.xml
%{_datadir}/metainfo/org.gnome.baobab.appdata.xml
%{_mandir}/man1/baobab.1*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-6
- Rebuilt for loongarch release

* Mon Oct 16 2023 rockerzhu <rockerzhu@tencent.com> - 43.0-5
- Replace hardcode to variable for auto-upgrade.

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Dec 26 2022 Shuo Wang <abushwang@tencent.com> - 43.0-1
- initial build
